Update payment method settings
PUT
Switches a payment method off or on without changing the contract. disabled_brands is for credit-card only.
apiKeyheader
AuthorizationBasic <token>HTTP Basic authentication with an API key or the id of a user token as the username and an empty password.
merchant_id*stringThe ID of the merchant, or self for the merchant of the credentials.
project_id*stringThe ID of the project, or self for the project of the API key.
payment_method*stringThe payment method, such as credit-card, apple-pay or bancontact.
application/json- body
enabled_by_merchant?booleanWhether the merchant has the payment method switched on.
disabled_brands?array<string>For credit-card only. Card brands the contract allows, but the merchant refuses.
The updated settings.
application/json- response
enabled_by_merchant?booleanWhether the merchant has the payment method switched on.
disabled_brands?array<string>For credit-card only. Card brands the contract allows, but the merchant refuses.
curl -X PUT 'https://api.example.com/v1/merchants/self/projects/b8a1c2d4-1234-4c5d-9e8f-0123456789ab/settings/apple-pay/' \ --user "$API_KEY:" \ -H 'Content-Type: application/json' \ -d '{ "enabled_by_merchant": false}'{ "enabled_by_merchant": true, "disabled_brands": [ "string" ]}